summaryrefslogtreecommitdiffstats
path: root/remoting/test/data/download.sh
diff options
context:
space:
mode:
Diffstat (limited to 'remoting/test/data/download.sh')
-rwxr-xr-xremoting/test/data/download.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/remoting/test/data/download.sh b/remoting/test/data/download.sh
new file mode 100755
index 0000000..106a883
--- /dev/null
+++ b/remoting/test/data/download.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Copyright 2016 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# This script downloads test files used by some remoting perf tests.The files
+# are stored on Google Cloud Storage.
+
+set -e
+
+SRC_DIR="$(readlink -f "$(dirname "$0")")"
+
+for file_index in 1 2; do
+ file_name=test_frame${file_index}.png
+ file_path="${SRC_DIR}/${file_name}"
+ if [ ! -e "${file_path}" ] ; then
+ curl -L "https://storage.googleapis.com/chromoting-test-data/${file_name}" \
+ > "${file_path}"
+ fi
+done